Bug 827061 - [RHEVM] [backend] [Hot plug NIC] all VM NICs are activated after snapshot restore
[RHEVM] [backend] [Hot plug NIC] all VM NICs are activated after snapshot res...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Kolesnik
Martin Pavlik
network
:
Depends On:
Blocks: 581266 833637 835390 835392
  Show dependency treegraph
 
Reported: 2012-05-31 10:22 EDT by Martin Pavlik
Modified: 2016-02-10 14:52 EST (History)
8 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (34.88 KB, application/x-gzip)
2012-05-31 10:22 EDT, Martin Pavlik
no flags Details
interfaces before snapshot (163.28 KB, image/png)
2012-05-31 10:23 EDT, Martin Pavlik
no flags Details
interfaces after restore from snapshot (163.59 KB, image/png)
2012-05-31 10:23 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-31 10:22:09 EDT
Created attachment 588106 [details]
vdsm.log + engine.log

Description of problem:
When VM is restored from snapshots all VM NICs are activated, regardless of their state in moment of snapshot creation.

According vdsm.log it seems that information about VM NIC state (activated/deactivated) is not stored into ovf file. First NIC from log bellow was active in moment of snapshot, second one was incative.

<Item>
<rasd:Caption>Ethernet adapter on rhevm</rasd:Caption>
<rasd:InstanceId>2939e20b-eb88-4f1b-8007-07ca76c85188</rasd:InstanceId>
<rasd:ResourceType>10</rasd:ResourceType>
<rasd:ResourceSubType>3</rasd:ResourceSubType>
<rasd:Connection>rhevm</rasd:Connection>
<rasd:Name>activated</rasd:Name>
<rasd:MACAddress>00:1a:4a:22:3f:16</rasd:MACAddress>
<rasd:speed>1000</rasd:speed>
</Item>

<Item>
<rasd:Caption>Ethernet adapter on rhevm</rasd:Caption>
<rasd:InstanceId>6875a42b-92c1-465a-ac39-ad462cdd5821</rasd:InstanceId>
<rasd:ResourceType>10</rasd:ResourceType>
<rasd:ResourceSubType>3</rasd:ResourceSubType>
<rasd:Connection>rhevm</rasd:Connection>
<rasd:Name>deactivated</rasd:Name>
<rasd:MACAddress>00:1a:4a:22:3f:17</rasd:MACAddress>
<rasd:speed>1000</rasd:speed>
</Item>

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-11.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. create VM with windows 7
2. add 2 NICs (one activated, one deactivated)
3. create snapshost of VM
4. restore VM from snapshot
  
Actual results:
after snapshot restore all VM NICs are activated

Expected results:
NICs should be restored with same state as they were in the moment of snapshot creation

Additional info:
Comment 1 Martin Pavlik 2012-05-31 10:23:02 EDT
Created attachment 588107 [details]
interfaces before snapshot
Comment 2 Martin Pavlik 2012-05-31 10:23:31 EDT
Created attachment 588108 [details]
interfaces after restore from snapshot
Comment 3 Mike Kolesnik 2012-06-12 03:04:08 EDT
http://gerrit.ovirt.org/5265

Note You need to log in before you can comment on or make changes to this bug.